<?php
namespace Gath\Api;

/**
 * Gath funkcija koju je moguće pozvati.
 *
 * @package Gath\Api
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/gath
 */
interface EndpointInterface
{
    /**
     * Vraća ime funkcije.
     *
     * @return string
     */
    public function getName(): string;

    /**
     * Vraća putanju do funkcije.
     *
     * @return string
     */
    public function getPath(): string;

    /**
     * Vraća HTTP metodu.
     *
     * @return string
     */
    public function getMethod(): string;

    /**
     * Vraća klasu objekta kojeg ovaj endpoint vraća.
     *
     * @return string
     */
    public function getResponseClass(): string;

    /**
     * @return string
     */
    public function getResultClass(): string;
}