<?php
namespace Gath\Api;

use Zend\ServiceManager\AbstractPluginManager;
use Zend\ServiceManager\Config;

/**
 * Class EndpointPluginManager
 *
 * @package Gath\Api
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/gath
 */
final class EndpointPluginManager extends AbstractPluginManager
{
    /** @var string */
    protected $instanceOf = EndpointInterface::class;

    /**
     * EndpointPluginManager constructor.
     *
     * @param null $configInstanceOrParentLocator
     * @param array $config
     */
    public function __construct($configInstanceOrParentLocator = null, array $config = [])
    {
        parent::__construct($configInstanceOrParentLocator, $config);

        (new Config([
            'abstract_factories' => [
                EndpointAbstractFactory::class,
            ],
        ]))->configureServiceManager($this);
    }
}