<?php
namespace Gath\Api;

/**
 * Informacije o Gath API-ju.
 *
 * @package Gath\Api
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/gath
 */
final class Info implements ResponseInterface
{
    /** @var string */
    private $version;
    /** @var \DateTimeImmutable */
    private $date;
    /** @var string */
    private $gathWorkingYear;
    /** @var string */
    private $gathWorkingWarehouse;
    /** @var string */
    private $gathDatabase;
    /** @var string */
    private $webshopType;
    /** @var Endpoint[] */
    private $endpoints;

    /**
     * @return string
     */
    public function getVersion(): string
    {
        return $this->version;
    }

    /**
     * @return \DateTimeImmutable
     */
    public function getDate(): \DateTimeImmutable
    {
        return $this->date;
    }

    /**
     * @return string
     */
    public function getGathWorkingYear(): string
    {
        return $this->gathWorkingYear;
    }

    /**
     * @return string
     */
    public function getGathWorkingWarehouse(): string
    {
        return $this->gathWorkingWarehouse;
    }

    /**
     * @return string
     */
    public function getGathDatabase(): string
    {
        return $this->gathDatabase;
    }

    /**
     * @return string
     */
    public function getWebshopType(): string
    {
        return $this->webshopType;
    }

    /**
     * @return Endpoint[]
     */
    public function getEndpoints(): array
    {
        return $this->endpoints;
    }
}