<?php
namespace Gath;

use Gath\Api\EndpointInterface;

/**
 * Klijent za Gath API.
 *
 * @package Gath
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/gath
 */
interface ClientInterface
{
    /**
     * Vraća informacije o API-ju.
     *
     * @return Api\Info
     */
    public function getApiInfo(): Api\Info;

    /**
     * Poziva API endpoint koji vraća listu rezultata.
     *
     * @param $endpoint
     * @param array $params
     *
     * @return Api\ResultSetInterface
     */
    public function query($endpoint, array $params = []): Api\ResultSetInterface;

    /**
     * Poziva API endpoint.
     *
     * @param EndpointInterface|string $endpoint
     * @param array $params
     *
     * @return Api\ResponseInterface
     */
    public function call($endpoint, array $params = []): Api\ResponseInterface;
}